# Class CodonChangeDel

java.lang.Object
org.snpeff.interval.codonChange.CodonChange
org.snpeff.interval.codonChange.CodonChangeStructural
org.snpeff.interval.codonChange.CodonChangeDel

public class CodonChangeDel extends CodonChangeStructural
Calculate codon changes produced by a deletion

Author:
  pcingola

## Field Summary

### Fields inherited from class CodonChangeStructural

`cdsAlt, cdsRef, coding, debug, exonFull, exonPartial`

### Fields inherited from class CodonChange

`CODON_SIZE, showCodonChange`

## Constructor Summary

Constructors
Constructor
Description
`CodonChangeDel(Variant variant, Transcript transcript, VariantEffects variantEffects)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`codonChange(Exon exon)`
Analyze deletions in this transcript.
`protected String`
`codonsAlt()`
Get alternative codons
`protected String`
`codonsRef()`
Get original codons in CDS
`protected void`
`effectTranscript()`
`protected void`
`exons()`
Deletion analysis using full transcript information.
`protected void`
`exonsCoding()`
Variant affect one or more coding exons
`protected void`
`exonsNoncoding()`
Variant affect one or more non-coding exons
`protected void`
`intron()`
Variant affect one intron

### Methods inherited from class CodonChangeStructural

`cdsDiff, codonChange, codonChangeSuper, codonsRefAlt, countAffectedExons`

### Methods inherited from class CodonChange

`additionalEffect, cdsBaseNumber, codonsRef, effect, effectNoCodon, effectNoCodon, factory, intersectsExons, netCdsChange, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CodonChangeDel

public CodonChangeDel(Variant variant, Transcript transcript, VariantEffects variantEffects)

## Method Details

### codonChange

protected boolean codonChange(Exon exon)
Analyze deletions in this transcript.

Overrides:
  `codonChange` in class `CodonChange`

### codonsAlt

protected String codonsAlt()
Get alternative codons

Overrides:
  `codonsAlt` in class `CodonChange`

### codonsRef

protected String codonsRef()
Get original codons in CDS

Overrides:
  `codonsRef` in class `CodonChange`

### effectTranscript

protected void effectTranscript()

Specified by:
  `effectTranscript` in class `CodonChangeStructural`

### exons

protected void exons()
Deletion analysis using full transcript information. This is done only when the variant affects more than one exons.

Specified by:
  `exons` in class `CodonChangeStructural`

### exonsCoding

protected void exonsCoding()
Description copied from class: `CodonChangeStructural`
Variant affect one or more coding exons

Specified by:
  `exonsCoding` in class `CodonChangeStructural`

### exonsNoncoding

protected void exonsNoncoding()
Description copied from class: `CodonChangeStructural`
Variant affect one or more non-coding exons

Specified by:
  `exonsNoncoding` in class `CodonChangeStructural`

### intron

protected void intron()
Description copied from class: `CodonChangeStructural`
Variant affect one intron

Specified by:
  `intron` in class `CodonChangeStructural`